/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.Partition;
import net.northking.cctp.common.db.entity.Entity;

import java.util.Date;


/**
 * 场景脚本信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-11-29 10:19:09  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "场景脚本信息表")
public class AtuSceneInfo extends Partition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_sceneName = "sceneName";
  public static final String KEY_scriptCode = "scriptCode";
  public static final String KEY_currentVersionId = "currentVersionId";
  public static final String KEY_scriptUrl = "scriptUrl";
  public static final String KEY_dataUrl = "dataUrl";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_isDeleted = "isDeleted";
  public static final String KEY_principalId = "principalId";

  /**
   * 场景脚本ID<br>
   */
  @ApiModelProperty("场景脚本ID")
  @Size(max = 32, message="场景脚本ID-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 场景脚本名称<br>
   */
  @ApiModelProperty("场景脚本名称")
  @Size(max = 30, message="场景脚本名称-sceneName: 数据长度不能 > 30" )
  private String sceneName;

  @ApiModelProperty("脚本编号")
  private String scriptCode;
  /**
   * 最新版本ID<br>
   */
  @ApiModelProperty("最新版本ID")
  private Integer currentVersionId;
  /**
   * 场景脚本地址<br>
   */
  @ApiModelProperty("场景脚本地址")
  @Size(max = 255, message="场景脚本地址-scriptUrl: 数据长度不能 > 255" )
  private String scriptUrl;
  /**
   * 场景脚本输入项数据存储的地址<br>
   */
  @ApiModelProperty("场景脚本输入项数据存储的地址")
  @Size(max = 255, message="场景脚本输入项数据存储的地址-dataUrl: 数据长度不能 > 255" )
  private String dataUrl;
  /**
   * 系统ID<br>
   */
  @ApiModelProperty("系统ID")
  @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 租户号<br>
   */
  @ApiModelProperty("租户号")
  @Size(max = 32, message="租户号-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 是否删除<br>
   */
  @ApiModelProperty("是否删除")
  private Integer isDeleted;

  @ApiModelProperty("负责人")
  private String principalId;

  /**
   * 场景脚本ID<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 场景脚本ID<br>
   *
   * @param id 场景脚本ID
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 场景脚本名称<br>
   */
  public String getSceneName()
  {
      return sceneName;
    }

  /**
   * 场景脚本名称<br>
   *
   * @param sceneName 场景脚本名称
   */
  public void setSceneName(String sceneName)
  {
      this.sceneName = sceneName;
    }

  public String getScriptCode() {
    return scriptCode;
  }

  public void setScriptCode(String scriptCode) {
    this.scriptCode = scriptCode;
  }

  /**
   * 最新版本ID<br>
   */
  public Integer getCurrentVersionId()
  {
      return currentVersionId;
    }

  /**
   * 最新版本ID<br>
   *
   * @param currentVersionId 最新版本ID
   */
  public void setCurrentVersionId(Integer currentVersionId)
  {
      this.currentVersionId = currentVersionId;
    }
  /**
   * 场景脚本地址<br>
   */
  public String getScriptUrl()
  {
      return scriptUrl;
    }

  /**
   * 场景脚本地址<br>
   *
   * @param scriptUrl 场景脚本地址
   */
  public void setScriptUrl(String scriptUrl)
  {
      this.scriptUrl = scriptUrl;
    }
  /**
   * 场景脚本输入项数据存储的地址<br>
   */
  public String getDataUrl()
  {
      return dataUrl;
    }

  /**
   * 场景脚本输入项数据存储的地址<br>
   *
   * @param dataUrl 场景脚本输入项数据存储的地址
   */
  public void setDataUrl(String dataUrl)
  {
      this.dataUrl = dataUrl;
    }
  /**
   * 系统ID<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统ID<br>
   *
   * @param projectId 系统ID
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 租户号<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户号<br>
   *
   * @param tenantId 租户号
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 是否删除<br>
   */
  public Integer getIsDeleted()
  {
      return isDeleted;
    }

  /**
   * 是否删除<br>
   *
   * @param isDeleted 是否删除
   */
  public void setIsDeleted(Integer isDeleted)
  {
      this.isDeleted = isDeleted;
    }


  public String getPrincipalId() {
    return principalId;
  }

  public void setPrincipalId(String principalId) {
    this.principalId = principalId;
  }

  public AtuSceneInfo()
  {
  }

}
